Subject: Re: cygwin and GPL (again)
From: Bradley Bell <[email-masked]>
To: David Case <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Feb 2001 18:55:41 -0800

On Wed, Feb 14, 2001 at 06:22:46PM -0800, David Case wrote:
> On Wed, Feb 14, 2001, Christopher Faylor wrote:
> > 
> > Btw, if you use Cygwin in an application, the application automatically
> > becomes free software.  Just so you know.
> > 
> 
> Just so *I* know, isn't the above oversimplified?
> 
> If I *distribute* an application linked to cygwin to others, I am obliged
> to follow GPL-like rules for the whole application.  But simply *using*
> cygwin (e.g. to compile some code that expects a Unix environment) for
> my own use should not taint the code.  Is this not correct?

You can do whatever you want with it if you're not distributing.  This is an
inherent right with all copyrighted material.

> As a somewhat more realistic example, if I distribute source code under
> conditions other than the GPL, and suggest to users that they could use
> the cygwin package to compile my code on their Windows machine, would such
> a suggestion somehow make the source code free software?  

nope.  They can compile it however they like, suggesting that they use
cygwin doesn't really mean much.

-brad

> 
> ...thanks for any clarification....dac
> 
> -- 
> 
> ==================================================================
> David A. Case                     |  e-mail:      [email-masked]
> Dept. of Molecular Biology, TPC15 |  fax:          +1-858-784-8896
> The Scripps Research Institute    |  phone:        +1-858-784-9768
> 10550 N. Torrey Pines Rd.         |  home page:                   
> La Jolla CA 92037  USA            |    http://www.scripps.edu/case
> ==================================================================
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple